#ifndef MAIN_H_
#define MAIN_H_

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <string.h>
#include <stdlib.h>


#include "lcd.h"
#include "fifo.h"
#include "comms.h"

#define USART_BAUDRATE 9600     //! USART baudrate, change this to set it.
#define UBRR_VALUE (((F_CPU/(USART_BAUDRATE*16UL)))-1)

#define MAX_SONGS 16

#define BUTTONS_DDR            DDRD
#define BUTTONS_PORT            PORTD
#define BUTTONS_LEFT_PIN        PORTD2
#define BUTTONS_RIGHT_PIN       PORTD3
#define BUTTONS_PLAYPAUSE_PIN   PORTD4

#endif